Package Details: brother-mfc-j6510dw 3.0.0-5

Git Clone URL: https://aur.archlinux.org/brother-mfc-j6510dw.git (read-only, click to copy)
Package Base: brother-mfc-j6510dw
Description: LPR and CUPS driver for the Brother MFC-J6510DW
Upstream URL: http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html
Keywords: brother cups driver printer
Licenses: unknown
Submitter: lswest
Maintainer: lswest
Last Packager: lswest
Votes: 4
Popularity: 0.003475
First Submitted: 2011-10-18 16:06
Last Updated: 2021-01-18 15:08

Pinned Comments

lswest commented on 2021-01-13 16:43

I just set this up on a new computer, and lpadmin kept crashing when trying to add a printer using this driver.

Edit on 18th of Jan: Thanks to mossblaser, I've implemented a fix in the PKGBUILD (3.0.0-5) which should allow this driver to continue to work with Arch's version of CUPS.

Alternatively, you can use the printer with the IPP Everywhere driver, and the URI ipp://<IP>:631/ipp.

Replace <IP> with the IP of your printer. I'm leaving this comment here for posterity, and for anyone who runs into a similar issue.

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

ElMastro commented on 2017-03-23 20:04

Can someone please confirm that this package works? on my laptop cups sendes data to the printer, but it does nothing. With sane Works, and the same printer prints on Windows.

lswest commented on 2015-04-07 18:46

You're welcome!

gazj commented on 2015-04-07 18:34

Works a treat, thank you very much :)

lswest commented on 2015-04-07 17:26

I've updated the package to use the new links. Everything should work now.

lswest commented on 2015-04-07 15:18

They seem to have restructured the site. I'll update the package later today. For the time being, see if the links for Ubuntu work here:http://support.brother.com/g/s/id/linux/en/instruction_prn1.html?c=eu_ot&lang=en&prod=mfcj6510dw_all&redirect=on

lswest commented on 2015-04-07 15:18

They seem to have restructured the site. I'll update the package later today. Fools the time being, see if the links for Ubuntu work here:http://support.brother.com/g/s/id/linux/en/instruction_prn1.html?c=eu_ot&lang=en&prod=mfcj6510dw_all&redirect=on

gazj commented on 2015-04-07 15:13

Damm, does anyone have a copy of the sources, brother have either removed them or the site is down.

lswest commented on 2015-02-05 14:03

Thanks for the post. I've updated the PKGBUILD and there shouldn't be any more issues.

ddanier commented on 2015-01-31 13:28

You cannot use the PKGBUILD on newer arch versions, because package() is missing. Just moving the two "cp" commands from build() to a new package() function fixes that.

lswest commented on 2013-08-24 14:10

Thanks! Let me know if you run into any issues with the build.